Bug 1807541 - [UI] Hide image field from compute profile form
Summary: [UI] Hide image field from compute profile form
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - GCE
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:11 UTC by Kavita
Modified: 2020-04-14 13:29 UTC (History)
1 user (show)

Fixed In Version: foreman-1.24.1.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29183 0 Normal Closed [UI] Hide image field from compute profile form 2020-03-09 08:48:07 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:29:03 UTC

Description Kavita 2020-02-26 15:11:52 UTC
Description of problem:
To make behaviour for image field consistent across all compute-resources,
hiding image selection from compute-profile form

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select compute-profile > GCE CR
2. On form, user can see image selection list
3.

Actual results:


Expected results:
remove image selection from compute-profile form

Additional info:

Comment 3 Bryan Kearney 2020-03-02 15:01:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29183 has been resolved.

Comment 5 Jitendra Yejare 2020-03-09 14:06:34 UTC
I observed image fields in Libvirt and VMWare Compute Resources compute profile.

@Kavita, Is this an expected behavior? Is this change only for GCE?

Comment 6 Jitendra Yejare 2020-03-11 08:04:08 UTC
Verified !

@ Satellite 6.7 snp 15

Steps:
------------
1. Select compute-profile > GCE CR
2. On form, see if the image field is displayed

Observation:
-------------
The image field is no more available for GCE CR in Compute Profile which equals to the behavior from CLI.


Note:
------
As per discussion with Assignee over email and her reply says:
```
This change is specific to GCE only.  Eventually, it will get removed from all other remaining CRs as well. 
```

So considering this change is only for GCE and assignees reply, moving this bug to Verified.

Comment 9 errata-xmlrpc 2020-04-14 13:28:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.